import pickle


class Results:

    def __init__(self, outfile):
        self._outfile = outfile
        self._jacc = {}
        self._smith = {}
        self._pjacc = {}
        self._sharedFraction = {}
        self._setminus = {}
        self._average = {}

    def add_Jaccard(self, table, avg, dev):
        self._jacc['table'] = table
        self._jacc['avg'] = avg
        self._jacc['dev'] = dev

    def add_Smith(self, table, avg, dev):
        self._smith['table'] = table
        self._smith['avg'] = avg
        self._smith['dev'] = dev

    def add_PJaccard(self, table, avg, dev):
        self._pjacc['table'] = table
        self._pjacc['avg'] = avg
        self._pjacc['dev'] = dev

    def add_SharedFraction(self, table, avg, dev):
        self._sharedFraction['table'] = table
        self._sharedFraction['avg'] = avg
        self._sharedFraction['dev'] = dev

    def add_Average(self, average, dev):
        self._average['avg'] = average
        self._average['dev'] = dev

    def add_SetMinus(self, table, average, dev):
        self._setminus['table'] = table
        self._setminus['avg'] = average
        self._setminus['dev'] = dev

    def writeResult(self):
        with open(self._outfile, 'wb') as f:
            pickle.dump(self, f)


def readResult(outfile):
    with open(outfile, 'rb') as f:
        obj = pickle.load(f)
        print(obj)
        print(obj._outfile)
        print(obj._jacc)
        print(obj._smith)
        print(obj._pjacc)
        print(obj._sharedFraction)
        print(obj._setminus)
        print(obj._average)
