def merge(a,b):
    """ Function to merge two arrays """
    c = []
    while len(a) != 0 and len(b) != 0:
        if a[0] < b[0]:
            c.append(a[0])
            a.remove(a[0])
        else:
            c.append(b[0])
            b.remove(b[0])
    if len(a) == 0:
        c += b
    else:
        c += a
    return c

# Code for merge sort

def merge_sort(x):
    """ Function to sort an array using merge sort algorithm """
    if len(x) == 0 or len(x) == 1:
        return x
    else:
        middle = len(x)//2
        
        a = merge_sort(x[:middle])
        b = merge_sort(x[middle:])
        return merge(a,b)

def test_sort():
    arr = []
    with open("input1.txt") as file:
        file = file.read().split("\n")
        for data in file:
            try:
                arr.append(int(data))
            except:
                pass
    
    print(type(arr[0]))
    print(merge_sort(arr))
    
    

test_sort()