######################################################################
# hanoi tower
######################################################################
def move(a,b):
    return str(" ") + a + str("-") + b
    
#recursive optimized program; it uses definition of move above
def hanoi_opt(n,a,b,c):
    return hanoi_ext_opt(n,a,b,c)[0]

def hanoi_ext_opt(n,a,b,c):
    if n==1: return (move(a,b), move(b,c), move(c,a))
    r_ext = hanoi_ext_opt(n-1,a,c,b)
    return (r_ext[0] + move(a,b) + r_ext[1],
            r_ext[2] + move(b,c) + r_ext[0],
            r_ext[1] + move(c,a) + r_ext[2])


#run tests
def runHanoi(n,a,b,c):
    print(hanoi_opt(n,a,b,c))
    
def testHanoi():
    #runHanoi(2,'a','b','c')
    # a-c a-b c-b

    #runHanoi(3,'a','b','c')
    # a-b a-c b-c a-b c-a c-b a-b

    runHanoi(4,'a','b','c')
    # a-c a-b c-b a-c b-a b-c a-c a-b c-b c-a b-a c-b a-c a-b c-b

    #runHanoi(5,'a','b','c')

testHanoi()