######################################################################
# hanoi tower
######################################################################
def move(a,b):
    return str(" ") + a+str("-")+b
    
#iterative optimized program using swap
def hanoi_optItrSwap(n,a,b,c):
    return hanoi_ext_optItrSwap(n,a,b,c)[0]

def hanoi_ext_optItrSwap(n,a,b,c):
    if n==1: return (move(a,b), move(b,c), move(c,a))
    n1=1
    if n%2==0: b,c = c,b
    r_ext = (move(a,b), move(b,c), move(c,a))
    while n1!=n:
        n1=n1+1
        if n%2==1: b,c = c,b
        r_ext = (r_ext[0] + move(a,b) + r_ext[1],
                r_ext[2] + move(b,c) + r_ext[0],
                r_ext[1] + move(c,a) + r_ext[2])
    return r_ext

#run tests
def runHanoi(n,a,b,c):
    print(hanoi_optItrSwap(n,a,b,c))

def testHanoi():
    #runHanoi(2,'a','b','c')
    # a-c a-b c-b

    #runHanoi(3,'a','b','c')
    # a-b a-c b-c a-b c-a c-b a-b

    runHanoi(4,'a','b','c')
    # a-c a-b c-b a-c b-a b-c a-c a-b c-b c-a b-a c-b a-c a-b c-b

    #runHanoi(5,'a','b','c')

testHanoi()